## Data Analysis with images from Mars

#### Jennifer Ortega (EPN)
#### Carla Gomez (USB)
#### Gerardo Semprúm (UCV)

El siguiente proyecto es un procesamiento de imágenes tomadas en la superficie marciana mediante los Rovers enviados 
(Perseverance y Curiosity) con la finalidad de estudiar las diferentes características observadas.

Dicho análisis se divide en 3 enfoques puntuales: 
1. **Análisis comparativo/descriptivo de cráteres en la superficie:** Seleccionando áreas de la superficie que presentaban cráteres, se hizo una comparación utilizando sus características (forma, estado del anillo, modificaciones sufridas, etc.) con el fin de comparar sus edades relativas entre sí. 

2. **Filtrado de imágenes con FFT:** Aplicando transformadas de Fourier fue posible establecer un filtro pasa alta / pasa bajo para reconocer y remarcar “áreas altas” o “áreas bajas” de la foto, tales como las huellas de los Rovers al pasar. Aplicando dicho filtro Es posible amplificar los surcos ya mencionados.

3. **Análisis mediante segmentación (Algoritmo de Watershed):** La segmentación divide la imagen en sus partes o regiones, esta técnica permite extraer información de los objetos. La división en partes se basa a menudo en las características de los píxeles de la imagen. Esta parte del análisis profundiza y es capaz de reconocer diferentes características de la superficie de marte: partes del Rover, sombras y elementos presentes en las imágenes.  

En los notebooks realizados, se usaron las siguientes **librerías** en su mayoria:

- Python Pillow (PIL): abre las imágenes dentro del notebook. 
- Open CV: Librería para transformar los arreglos (“array”) de la imagen de numpy en .float32  para ser trabajada como flotante y poder manejar data. 
- Matplotlib: para crear los gráficos (“plots”) de las imágenes comparativas mediante las funciones como plt.subplot()
- Numpy: Para aplicar las siguientes funciones DFT , FFT e inversa que corresponden a transformadas de Fourier. Especificando para 2 dimensiones: fft2

**Información contenida en las carpetas:**

- Data_Mars: Contiene diferentes archivos en formato JPEG y PNG. Son imágenes a usar en el estudio. 
- Pycache: Parte del proyecto segmentación. Carpeta creada automaticamente debido al uso de archivo segmentación_fun.py.
- segmentación_fun.py:  Carpeta creada para almacenar funciones y no sobrecargar el notebook de código innecesario o repetitivo.
- imagenes: Contiene imágenes que fueron usadas en la sub-sección del proyecto “Segmentación.”
- Segmentación: Archivo en formato de Notebook que contiene la parte principal del análisis realizado.
- Filtrado de imágenes con FFT: Notebook que contiene un sistema de filtrado de imágenes como fue descrito anteriormente. 
- Reconocimiento de edad de cráteres: Notebook que contiene un análisis básico de algunas características del suelo marciano.
- Proyecto_Datos__1: Documento que describe el proceso y conclusiones realizadas durante el proyecto.

**Algunas imágenes obtenidas como resultado:**

>Imagen original e imagen con LTP
<img src="images/crater1">

>Imagen original e imagen segmentada
<img src="images/crater2">
>Imagen original e imagen con LTP
<img src="images/crater3">
> Cráteres identificados en la superficie de Marte








